import * as mc from '@minecraft/server';
	const runCommand = (cmd) => mc.world.getDimension("overworld").runCommand(String(cmd))
	const spawnItem = (item, loc) => mc.world.getDimension("overworld").spawnItem(item, loc);

 const getAxolotl = (value) => {
 	let result;

 	switch (value) {
      	case 0:
      	result = "lucy"
      	break;
      	case 1:
      	result = "cyan"
      	break;
      case 2:
      	result = "gold"
      	break;
      	case 3:
      	result = "wild"
      	break;
      default:
      result = "blue"
      	break;
 	}

 	return result
 }
 const getFox = (value) => {
 	let result;

 	switch (value) {
      	case 0:
      	result = "red"
      	break;
      default:
      result = "white"
      	break;
 	}

 	return result
 }

mc.world.afterEvents.entityDie.subscribe(e => {
	const random = parseInt(Math.random() * 10)
     
   // if (random != 3) return;
   if (e.deadEntity.typeId === "minecraft:axolotl") spawnItem(new mc.ItemStack(`mobsh:${e.deadEntity.typeId.replace(/minecraft:/ig, "").replace(/_v2/ig, "")}_${getAxolotl(e.deadEntity.getComponent("minecraft:variant").value)}_head_item`, 1), e.deadEntity.location)
   else if (e.deadEntity.typeId === "minecraft:fox") spawnItem(new mc.ItemStack(`mobsh:${e.deadEntity.typeId.replace(/minecraft:/ig, "").replace(/_v2/ig, "")}_${getFox(e.deadEntity.getComponent("minecraft:variant").value)}_head_item`, 1), e.deadEntity.location)
else spawnItem(new mc.ItemStack(`mobsh:${e.deadEntity.typeId.replace(/minecraft:/ig, "").replace(/_v2/ig, "")}_head_item`, 1), e.deadEntity.location)
})